@echo off

setlocal enableextensions
%~d0
cd %~p0

title Installation eines Updates zu einem Datenpaket

REM Dieses Batchskript kopiert die Dateien des Datenpaketupdates in das ermittelte Verzeichnis.
REM Kommentieren Sie Zeilen, deren Dateien Sie nicht wnschen, durch Voranstellen von "REM" aus.

REM Aufruf mit Parameter (z.B. call install-$version-$customer-Daten.bat /quiet) bewirkt, dass keine Pause gemacht wird.
REM Dann werden alle noch nicht aktualisierten Datenverzeichnisse bearbeitet.

REM Ermitteln des Betriebssystems
set Windows7=0
reg QUERY "HKLM\Software\Wow6432Node" 2>NUL 1>NUL
if %errorlevel% LEQ 0 set Windows7=1
set KeyBase=HKLM\Software\AED-SICAD\3A\
if "%Windows7%"=="1" set KeyBase=HKLM\Software\Wow6432Node\AED-SICAD\3A\
set KeyValue=%KeyBase%3A-Editor Daten

REM Vorbelegen bekannter Daten
set Customer=AtkisMusterland
set Version=7.0.10.0

call :expandVersion %Version% expVersion

reg add "%KeyValue%" /t REG_SZ /v Test /d "Test" 2>NUL 1>NUL
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v Test`) DO set Key=%%j) 2>NUL
if "%Key%"=="Test" GOTO TESTOK
echo Keine ausreichenden Rechte zum Schreiben der Registry.
if "%1"=="" pause
exit /b
:TESTOK
reg delete "%KeyValue%" /f /v Test 2>NUL 1>NUL

echo.
echo Es wird jetzt in der Registry nach Angaben zu Datenverzeichnissen gesucht.
echo.

echo.
echo Liste anderer Datenverzeichnisse (nicht Kunde "%Customer%"):
echo.

REM Zuerst prfen auf altes Datenpaket
set Count=0
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v InternalVersion`) DO set Key=%%j) 2>NUL
if "%Key%"=="" GOTO NOOLDX
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyBase%3A-Editor" /v AaaDir`) DO set Key=%%j) 2>NUL
if "%Key%"=="" GOTO NOOLDX
set Key2=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Customer`) DO set Key2=%%j) 2>NUL
if "%Key2%"=="%Customer%" GOTO LOOPCOUNTX
set Key6=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Version`) DO set Key6=%%j) 2>NUL
echo Installation %Count% (Datenpaket mit msi installiert):
echo Datenverzeichnis "%Key%"
if not "%Key2%"=="" echo Kunde "%Key2%"
if not "%Key6%"=="" echo Version "%Key6%"
echo.
:NOOLDX

REM Jetzt die neuen Datenpakete
:LOOPCOUNTX
set /a Count="%Count%+1"
if %Count% EQU 100 Goto ENDLOOPX
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Dir`) DO set Key=%%j) 2>NUL
if "%Key%"=="" GOTO LOOPCOUNTX
set Key2=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Customer`) DO set Key2=%%j) 2>NUL
if "%Key2%"=="%Customer%" GOTO LOOPCOUNTX
set Key3=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%PrefDir`) DO set Key3=%%j) 2>NUL
set Key4=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%PrefInst`) DO set Key4=%%j) 2>NUL
set Key5=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Name`) DO set Key5=%%j) 2>NUL
set Key6=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Version`) DO set Key6=%%j) 2>NUL

if not "%Key5%"=="" echo Installation %Count% (Name "%Key5%"):
if "%Key5%"=="" echo Installation %Count%:
echo Datenverzeichnis "%Key%"
echo Kunde "%Key2%"
echo Version "%Key6%"
if not "%Key3%"=="" echo abweichendes Preferenceverzeichnis "%Key3%"
if not "%Key4%"=="" echo Preference Instance "%Key4%"
if "%Key3%"=="" echo Preferenceverzeichnis entspricht Datenverzeichnis
if "%Key4%"=="" echo keine Preference Instance
echo.
GOTO LOOPCOUNTX
:ENDLOOPX

echo.
echo Liste der bereits auf "%Version%" oder hoeher aktualisierten Datenverzeichnisse fuer Kunde "%Customer%":
echo.

REM Zuerst prfen auf altes Datenpaket
set Count=0
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v InternalVersion`) DO set Key=%%j) 2>NUL
if "%Key%"=="" GOTO NOOLDY
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyBase%3A-Editor" /v AaaDir`) DO set Key=%%j) 2>NUL
if "%Key%"=="" GOTO NOOLDY
set Key2=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Customer`) DO set Key2=%%j) 2>NUL
set Key6=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Version`) DO set Key6=%%j) 2>NUL
echo Installation %Count% (Datenpaket mit msi installiert):
echo Datenverzeichnis "%Key%"
if not "%Key2%"=="" echo Kunde "%Key2%"
if not "%Key6%"=="" echo Version "%Key6%"
echo.
:NOOLDY

REM Jetzt die neuen Datenpakete
:LOOPCOUNTY
set /a Count="%Count%+1"
if %Count% EQU 100 Goto ENDLOOPY
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Dir`) DO set Key=%%j) 2>NUL
if "%Key%"=="" GOTO LOOPCOUNTY
set Key2=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Customer`) DO set Key2=%%j) 2>NUL
if not "%Key2%"=="%Customer%" GOTO LOOPCOUNTY
set Key3=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%PrefDir`) DO set Key3=%%j) 2>NUL
set Key4=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%PrefInst`) DO set Key4=%%j) 2>NUL
set Key5=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Name`) DO set Key5=%%j) 2>NUL
set Key6=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Version`) DO set Key6=%%j) 2>NUL
call :expandVersion %Key6% Key66
if "%Key66%" LSS "%expVersion%" GOTO LOOPCOUNTY

if not "%Key5%"=="" echo Installation %Count% (Name "%Key5%"):
if "%Key5%"=="" echo Installation %Count%:
echo Datenverzeichnis "%Key%"
echo Kunde "%Key2%"
echo Version "%Key6%"
if not "%Key3%"=="" echo abweichendes Preferenceverzeichnis "%Key3%"
if not "%Key4%"=="" echo Preference Instance "%Key4%"
if "%Key3%"=="" echo Preferenceverzeichnis entspricht Datenverzeichnis
if "%Key4%"=="" echo keine Preference Instance
echo.
GOTO LOOPCOUNTY
:ENDLOOPY

echo.
echo Liste der noch nicht auf "%Version%" oder hoeher aktualisierten Datenverzeichnisse fuer Kunde "%Customer%":
echo.

set Found=0
set Old=0
set ActNumber=

REM altes Datenpaket
set Count=0
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v InternalVersion`) DO set Key=%%j) 2>NUL
if "%Key%"=="" GOTO LOOPCOUNT
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyBase%3A-Editor" /v AaaDir`) DO set Key=%%j) 2>NUL
if "%Key%"=="" GOTO LOOPCOUNT
set Key2=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Customer`) DO set Key2=%%j) 2>NUL
if "%Key2%"=="" GOTO NOOLDCUSTOMER
if not "%Key2%"=="%Customer%" GOTO LOOPCOUNT
:NOOLDCUSTOMER
set Key6=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Version`) DO set Key6=%%j) 2>NUL
echo Installation %Count% (Datenpaket mit msi installiert):
echo Datenverzeichnis "%Key%"
if not "%Key2%"=="" echo Kunde "%Key2%"
if not "%Key6%"=="" echo Version "%Key6%"
echo.
set Found=1
set Old=1
set ActNumber=0
echo.

REM neue Datenpakete
:LOOPCOUNT
set /a Count="%Count%+1"
if %Count% EQU 100 Goto ENDLOOP
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Dir`) DO set Key=%%j) 2>NUL
if "%Key%"=="" GOTO LOOPCOUNT
set Key2=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Customer`) DO set Key2=%%j) 2>NUL
if not "%Key2%"=="%Customer%" GOTO LOOPCOUNT
set Key3=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%PrefDir`) DO set Key3=%%j) 2>NUL
set Key4=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%PrefInst`) DO set Key4=%%j) 2>NUL
set Key5=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Name`) DO set Key5=%%j) 2>NUL
set Key6=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Version`) DO set Key6=%%j) 2>NUL
if "%Key6%"=="%Version%" GOTO LOOPCOUNT
call :expandVersion %Key6% Key66
if "%Key66%" GEQ "%expVersion%" GOTO LOOPCOUNT

if not "%Key5%"=="" echo Installation %Count% (Name "%Key5%"):
if "%Key5%"=="" echo Installation %Count%:
echo Datenverzeichnis "%Key%"
echo Version "%Key6%"
if not "%Key3%"=="" echo abweichendes Preference Verzeichnis "%Key3%"
if not "%Key4%"=="" echo Preference Instance "%Key4%"
if "%Found%"=="1" set Found=2
if "%Found%"=="0" set Found=1
set ActNumber=%Count%
echo.
GOTO LOOPCOUNT
:ENDLOOP

if not "%Found%"=="0" GOTO SELECT
echo Kein passendes Datenverzeichnis vorhanden.
if "%1"=="" pause
exit /b
:SELECT

REM Auswahl des Verzeichnisses
if "%Found%"=="1" GOTO ONLYONE
echo.
if "%1"=="" echo Auswahl eines dieser Datenverzeichnisse (Angabe der Nummer) oder 'alle', wenn alle noch nicht auf "%Version%" oder hoeher aktualisierten Datenverzeichnisse fuer Kunde "%Customer% bearbeitet werden sollen
if "%Old%"=="1" echo Das Datenverzeichnis 0 wird bei 'alle' nicht bearbeitet. Es muss einzeln bearbeitet werden.

if "%1"=="" set ActNumber=
if "%1"=="" set /p ActNumber=?
if not "%1"=="" echo Installation ohne Dialogfuehrung: alle noch nicht auf "%Version%" oder hoeher aktualisierten Datenverzeichnisse fuer Kunde "%Customer%" werden bearbeitet
if not "%1"=="" set ActNumber=alle

IF not "%ActNumber%"=="" GOTO ONLYONE
echo Abbruch, keine Angabe des Datenverzeichnisses durch den Benutzer.
if "%1"=="" pause
exit /b

:ONLYONE
set Count=%ActNumber%
if "%ActNumber%"=="0" GOTO CHECK0
IF NOT "%ActNumber%"=="alle" GOTO NOLOOP
set Count=0
GOTO LOOPDIR

REM altes Datenpaket mit msi installiert
:CHECK0
if "%Old%"=="1" GOTO CHECK0X
echo Das ausgewaehlte Datenpaket "%ActNumber%" existiert nicht oder hat nicht den richtigen Kunden - Abbruch!
if "%1"=="" pause
exit /b
:CHECK0X
set DataDir=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyBase%3A-Editor" /v AaaDir`) DO set DataDir=%%j) 2>NUL
set Key6=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Version`) DO set Key6=%%j) 2>NUL
GOTO DIRSET

REM Schleife fr alle
:LOOPDIR
set /a Count="%Count%+1"
if %Count% EQU 100 GOTO ENDLOOPDIR
set DataDir=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Dir`) DO set DataDir=%%j) 2>NUL
if "%DataDir%"=="" GOTO LOOPDIR
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Customer`) DO set Key=%%j) 2>NUL
if not "%Key%"=="%Customer%" GOTO LOOPDIR
set Key6=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Version`) DO set Key6=%%j) 2>NUL
if "%Key6%"=="%Version%" GOTO LOOPDIR
call :expandVersion %Key6% Key66
if "%Key66%" GEQ "%expVersion%" GOTO LOOPDIR
GOTO DIRSET

REM Behandlung eines Datenpakets
:NOLOOP
set DataDir=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Dir`) DO set DataDir=%%j) 2>NUL
if not "%DataDir%"=="" GOTO DATADIROK
echo Das ausgewaehlte Datenpaket "%ActNumber%" existiert nicht - Abbruch!
if "%1"=="" pause
exit /b
:DATADIROK
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Customer`) DO set Key=%%j) 2>NUL
if "%Key%"=="%Customer%" GOTO CUSTOMEROK
echo Datenpaket "%ActNumber%" hat nicht den richtigen Kunden.
if "%1"=="" pause
exit /b
:CUSTOMEROK
set Key6=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Version`) DO set Key6=%%j) 2>NUL
call :expandVersion %Key6% Key66
if "%Key66%" LSS "%expVersion%" GOTO VERSIONOK
echo Das ausgewaehlte Datenpaket "%ActNumber%" ist bereits auf die Version %Version% oder hoeher aktualisiert.
if "%1"=="" pause
exit /b
:VERSIONOK

:DIRSET
REM brige Werte aus der Registry lesen
set PrefDir=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%PrefDir`) DO set PrefDir=%%j) 2>NUL
set PrefInst=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%PrefInst`) DO set PrefInst=%%j) 2>NUL
set Key5=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Name`) DO set Key5=%%j) 2>NUL

REM Zusammenfassung der Eingaben
echo.
echo Es wird folgendes Datenpaket auf "%Version%" aktualisiert:
if not "%Key5%"=="" echo Installation %Count% (Name "%Key5%"):
if "%Key5%"=="" echo Installation %Count%:
echo Datenverzeichnis "%DataDir%"
if not "%Key6%"=="" echo Version "%Key6%"
if not "%PrefDir%"=="" echo abweichendes Preferenceverzeichnis "%PrefDir%"
if not "%PrefInst%"=="" echo Preference Instance "%PrefInst%"
if "%PrefDir%"=="" echo Preferenceverzeichnis entspricht Datenverzeichnis
if "%PrefInst%"=="" echo keine Preference Instance
echo.
if "%1"=="" pause

if exist "%DataDir%\Etc" goto LabelOkay
mkdir "%DataDir%\Etc"
if %errorlevel% LEQ 0 goto LabelOkay
echo Verzeichnis "%DataDir%\Etc" kann nicht angelegt werden, es wird abgebrochen.
if "%1"=="" pause
exit /b
:LabelOkay
IF "%PrefDir%"=="" set PrefDir=%DataDir%
IF "%Customer:~0,4%"=="Lisa" set PrefDir=%PROGRAMDATA%\AED-SICAD
set CustomerDataDir=%PrefDir%\Preferences\CustomerData
if not "%PrefInst%"=="" set CustomerDataDir=%PrefDir%\Preferences\CustomerData.%PrefInst%
IF "%Customer:~0,4%"=="Lisa" set CustomerDataDir=%CustomerDataDir:\CustomerData=%

(echo. & echo ### Es wird das Update auf die Version "%Version%" der Daten fuer Kunde "%Customer%" im Verzeichnis "%DataDir%" installiert.) >>"%DataDir%\Etc\installData.log" 2>&1
(echo ### Customer Preferences stehen im Verzeichnis "%CustomerDataDir%".) >>"%DataDir%\Etc\installData.log" 2>&1
(echo ### %date% %time% durch %Username%\%Userdomain% auf %Computername% ### & echo.) >>"%DataDir%\Etc\installData.log" 2>&1

@chcp 1252 1>NUL
echo Dateien des Updates installieren
if not exist "%DataDir%\Config" mkdir "%DataDir%\Config"
if exist "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml" echo Kopiere %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml nach %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml.vor%Version%.bak 
if exist "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml" echo Kopiere %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml nach %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml" copy "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml" "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Themendeklarationen.xml nach %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml 
echo Kopiere Themendeklarationen.xml nach %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml >>"%DataDir%\Etc\installData.log" 2>&1
copy "Themendeklarationen.xml" "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Daten\Gdb" mkdir "%DataDir%\Daten\Gdb"
if exist "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb" echo Kopiere %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb nach %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb.vor%Version%.bak 
if exist "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb" echo Kopiere %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb nach %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb" copy "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb" "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Projektsteuerung-UTM33-Atkis.mdb nach %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb 
echo Kopiere Projektsteuerung-UTM33-Atkis.mdb nach %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
copy "Projektsteuerung-UTM33-Atkis.mdb" "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Daten\Gdb" mkdir "%DataDir%\Daten\Gdb"
if exist "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb" echo Kopiere %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb nach %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb.vor%Version%.bak 
if exist "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb" echo Kopiere %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb nach %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb" copy "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb" "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Projektsteuerung-UTM32-Atkis.mdb nach %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb 
echo Kopiere Projektsteuerung-UTM32-Atkis.mdb nach %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
copy "Projektsteuerung-UTM32-Atkis.mdb" "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql" copy "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere S_EQK_ALLOWED_FUNCTIONS-ATKIS.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql 
echo Kopiere S_EQK_ALLOWED_FUNCTIONS-ATKIS.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "S_EQK_ALLOWED_FUNCTIONS-ATKIS.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql" copy "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere S_EQK_CHECK_ATKIS.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql 
echo Kopiere S_EQK_CHECK_ATKIS.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "S_EQK_CHECK_ATKIS.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql" copy "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere S_EQK_CORR-ATKIS.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql 
echo Kopiere S_EQK_CORR-ATKIS.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "S_EQK_CORR-ATKIS.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql" copy "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere S_EQK_ANLAESSE-ATKIS.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql 
echo Kopiere S_EQK_ANLAESSE-ATKIS.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "S_EQK_ANLAESSE-ATKIS.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql" copy "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere S_EQK_MAPS-ATKIS.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql 
echo Kopiere S_EQK_MAPS-ATKIS.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "S_EQK_MAPS-ATKIS.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql" copy "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere S_SYS_SK_CONSTRAINTS-ATKIS.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql 
echo Kopiere S_SYS_SK_CONSTRAINTS-ATKIS.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "S_SYS_SK_CONSTRAINTS-ATKIS.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql" echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql" copy "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere S_EQK_FT_OBJECTTYPES-ATKIS-DLM.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql 
echo Kopiere S_EQK_FT_OBJECTTYPES-ATKIS-DLM.sql nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "S_EQK_FT_OBJECTTYPES-ATKIS-DLM.sql" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql" copy "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Projektsteuerung-Metadaten-9635-40.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql 
echo Kopiere Projektsteuerung-Metadaten-9635-40.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "Projektsteuerung-Metadaten-9635-40.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql" copy "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Projektsteuerung-Metadaten-Standard-ATKIS-AddOn.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql 
echo Kopiere Projektsteuerung-Metadaten-Standard-ATKIS-AddOn.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "Projektsteuerung-Metadaten-Standard-ATKIS-AddOn.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql" copy "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Projektsteuerung-Metadaten-Standard-ATKIS-Mit-Dtk.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql 
echo Kopiere Projektsteuerung-Metadaten-Standard-ATKIS-Mit-Dtk.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "Projektsteuerung-Metadaten-Standard-ATKIS-Mit-Dtk.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql" copy "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Projektsteuerung-Metadaten-Standard-ATKIS-UTM32.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql 
echo Kopiere Projektsteuerung-Metadaten-Standard-ATKIS-UTM32.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "Projektsteuerung-Metadaten-Standard-ATKIS-UTM32.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql" copy "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Projektsteuerung-Metadaten-Standard-ATKIS-UTM33.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql 
echo Kopiere Projektsteuerung-Metadaten-Standard-ATKIS-UTM33.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "Projektsteuerung-Metadaten-Standard-ATKIS-UTM33.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql" copy "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Projektsteuerung-Hannover-LGN-Atkis-difference.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql 
echo Kopiere Projektsteuerung-Hannover-LGN-Atkis-difference.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "Projektsteuerung-Hannover-LGN-Atkis-difference.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql" echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql" copy "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Projektsteuerung-Metadaten-Standard-ATKIS-Merge.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql 
echo Kopiere Projektsteuerung-Metadaten-Standard-ATKIS-Merge.sql nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "Projektsteuerung-Metadaten-Standard-ATKIS-Merge.sql" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql" mkdir "%DataDir%\Sql"
if exist "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql" echo Kopiere %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql nach %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql.vor%Version%.bak 
if exist "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql" echo Kopiere %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql nach %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql" copy "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql" "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql nach %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql 
echo Kopiere ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql nach %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql >>"%DataDir%\Etc\installData.log" 2>&1
copy "ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql" "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb" mkdir "%DataDir%\Templates\Gdb"
if exist "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak 
if exist "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip" copy "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip" "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Template-UTM32.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip 
echo Kopiere Template-UTM32.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip >>"%DataDir%\Etc\installData.log" 2>&1
copy "Template-UTM32.gdb.zip" "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb" mkdir "%DataDir%\Templates\Gdb"
if exist "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb nach %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak 
if exist "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb nach %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb" copy "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb" "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Template-UTM32.mdb nach %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb 
echo Kopiere Template-UTM32.mdb nach %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
copy "Template-UTM32.mdb" "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb" mkdir "%DataDir%\Templates\Gdb"
if exist "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip.vor%Version%.bak 
if exist "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip" copy "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip" "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Template-UTM32.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip 
echo Kopiere Template-UTM32.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip >>"%DataDir%\Etc\installData.log" 2>&1
copy "Template-UTM32.gdb.zip" "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb" mkdir "%DataDir%\Templates\Gdb"
if exist "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb nach %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb.vor%Version%.bak 
if exist "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb nach %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb" copy "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb" "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Template-UTM32.mdb nach %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb 
echo Kopiere Template-UTM32.mdb nach %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
copy "Template-UTM32.mdb" "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb" mkdir "%DataDir%\Templates\Gdb"
if exist "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak 
if exist "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip" copy "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip" "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Template-UTM33.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip 
echo Kopiere Template-UTM33.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip >>"%DataDir%\Etc\installData.log" 2>&1
copy "Template-UTM33.gdb.zip" "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb" mkdir "%DataDir%\Templates\Gdb"
if exist "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb nach %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak 
if exist "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb nach %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb" copy "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb" "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Template-UTM33.mdb nach %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb 
echo Kopiere Template-UTM33.mdb nach %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
copy "Template-UTM33.mdb" "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb" mkdir "%DataDir%\Templates\Gdb"
if exist "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip.vor%Version%.bak 
if exist "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip" copy "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip" "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Template-UTM33.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip 
echo Kopiere Template-UTM33.gdb.zip nach %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip >>"%DataDir%\Etc\installData.log" 2>&1
copy "Template-UTM33.gdb.zip" "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb" mkdir "%DataDir%\Templates\Gdb"
if exist "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb nach %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb.vor%Version%.bak 
if exist "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb" echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb nach %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb" copy "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb" "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Template-UTM33.mdb nach %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb 
echo Kopiere Template-UTM33.mdb nach %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
copy "Template-UTM33.mdb" "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb" mkdir "%DataDir%\Templates\Gdb"
if exist "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb" echo Kopiere %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb nach %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb.vor%Version%.bak 
if exist "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb" echo Kopiere %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb nach %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb" copy "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb" "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Template-UTM32.mdb nach %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb 
echo Kopiere Template-UTM32.mdb nach %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
copy "Template-UTM32.mdb" "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Maps" mkdir "%DataDir%\Templates\Maps"
if exist "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc" echo Kopiere %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc nach %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc.vor%Version%.bak 
if exist "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc" echo Kopiere %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc nach %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc" copy "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc" "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere AtkisDtk25.dpc nach %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc 
echo Kopiere AtkisDtk25.dpc nach %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc >>"%DataDir%\Etc\installData.log" 2>&1
copy "AtkisDtk25.dpc" "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Maps" mkdir "%DataDir%\Templates\Maps"
if exist "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc" echo Kopiere %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc nach %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc.vor%Version%.bak 
if exist "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc" echo Kopiere %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc nach %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc" copy "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc" "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere AtkisDtk50.dpc nach %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc 
echo Kopiere AtkisDtk50.dpc nach %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc >>"%DataDir%\Etc\installData.log" 2>&1
copy "AtkisDtk50.dpc" "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Metadata" mkdir "%DataDir%\Templates\Metadata"
if exist "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb" echo Kopiere %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb nach %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb.vor%Version%.bak 
if exist "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb" echo Kopiere %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb nach %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb" copy "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb" "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere Metadaten-EdPro-ATKIS.mdb nach %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb 
echo Kopiere Metadaten-EdPro-ATKIS.mdb nach %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
copy "Metadaten-EdPro-ATKIS.mdb" "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%" mkdir "%DataDir%"
if exist "%DataDir%\versionKonfigurationMusterlandAtkis" echo Kopiere %DataDir%\versionKonfigurationMusterlandAtkis nach %DataDir%\versionKonfigurationMusterlandAtkis.vor%Version%.bak 
if exist "%DataDir%\versionKonfigurationMusterlandAtkis" echo Kopiere %DataDir%\versionKonfigurationMusterlandAtkis nach %DataDir%\versionKonfigurationMusterlandAtkis.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\versionKonfigurationMusterlandAtkis" copy "%DataDir%\versionKonfigurationMusterlandAtkis" "%DataDir%\versionKonfigurationMusterlandAtkis.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere version.txt nach %DataDir%\versionKonfigurationMusterlandAtkis 
echo Kopiere version.txt nach %DataDir%\versionKonfigurationMusterlandAtkis >>"%DataDir%\Etc\installData.log" 2>&1
copy "version.txt" "%DataDir%\versionKonfigurationMusterlandAtkis" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%CustomerDataDir%" mkdir "%CustomerDataDir%"
if exist "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000" echo Kopiere %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000 nach %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000.vor%Version%.bak 
if exist "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000" echo Kopiere %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000 nach %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000" copy "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000" "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere 3A-Editor.Musterland-Atkis.Comment.conf nach %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000 
echo Kopiere 3A-Editor.Musterland-Atkis.Comment.conf nach %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000 >>"%DataDir%\Etc\installData.log" 2>&1
copy "3A-Editor.Musterland-Atkis.Comment.conf" "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000" >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%CustomerDataDir%" mkdir "%CustomerDataDir%"
if exist "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000" echo Kopiere %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000 nach %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000.vor%Version%.bak 
if exist "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000" echo Kopiere %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000 nach %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000.vor%Version%.bak >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000" copy "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000" "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere 3A-Editor.Musterland-Atkis.Var.conf nach %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000 
echo Kopiere 3A-Editor.Musterland-Atkis.Var.conf nach %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000 >>"%DataDir%\Etc\installData.log" 2>&1
copy "3A-Editor.Musterland-Atkis.Var.conf" "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000" >>"%DataDir%\Etc\installData.log" 2>&1
@chcp 850 1>NUL

if "%Key6%"=="" set Key6=vor%Version%
reg delete "%KeyValue%" /f /v %Count%Version 2>NUL 1>NUL
set LastVersion=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%lastVersion`) DO set LastVersion=%%j) 2>NUL
reg delete "%KeyValue%" /f /v %Count%lastVersion 2>NUL 1>NUL
reg add "%KeyValue%" /t REG_SZ /v %Count%Version /d "%Version%" 2>NUL 1>NUL
reg add "%KeyValue%" /t REG_SZ /v %Count%lastVersion /d "%Key6%" 2>NUL 1>NUL
if not "%LastVersion%"=="" reg add "%KeyValue%" /f /t REG_SZ /v %Count%lastVersion /d "%Key6%;%LastVersion%" 2>NUL 1>NUL
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Customer`) DO set Key=%%j) 2>NUL
if "%Key%"=="" reg add "%KeyValue%" /t REG_SZ /v %Count%Customer /d "%Customer%" 2>NUL 1>NUL

IF "%ActNumber%"=="alle" GOTO LOOPDIR
:ENDLOOPDIR
echo.
if "%1"=="" pause
@echo on

goto :eof

:expandVersion
REM das folgende ist doppelt, da die Stellen mit Punkten sich berlappen und deshalb sonst immer nur ein Teil bearbeitet wird
set LONG=.%1.
set LONG=%LONG:.0.=.00.%
set LONG=%LONG:.1.=.01.%
set LONG=%LONG:.2.=.02.%
set LONG=%LONG:.3.=.03.%
set LONG=%LONG:.4.=.04.%
set LONG=%LONG:.5.=.05.%
set LONG=%LONG:.6.=.06.%
set LONG=%LONG:.7.=.07.%
set LONG=%LONG:.8.=.08.%
set LONG=%LONG:.9.=.09.%
set LONG=%LONG:.0.=.00.%
set LONG=%LONG:.1.=.01.%
set LONG=%LONG:.2.=.02.%
set LONG=%LONG:.3.=.03.%
set LONG=%LONG:.4.=.04.%
set LONG=%LONG:.5.=.05.%
set LONG=%LONG:.6.=.06.%
set LONG=%LONG:.7.=.07.%
set LONG=%LONG:.8.=.08.%
set LONG=%LONG:.9.=.09.%
set LONG=%LONG:.0-=.00-%
set LONG=%LONG:.1-=.01-%
set LONG=%LONG:.2-=.02-%
set LONG=%LONG:.3-=.03-%
set LONG=%LONG:.4-=.04-%
set LONG=%LONG:.5-=.05-%
set LONG=%LONG:.6-=.06-%
set LONG=%LONG:.7-=.07-%
set LONG=%LONG:.8-=.08-%
set LONG=%LONG:.9-=.09-%
set %2=%LONG%&goto :eof

