@echo off

setlocal enableextensions
%~d0
cd %~p0

title Deinstallation eines Updates zu einem Datenpaket

REM Dieses Batchskript entfernt die Dateien des Datenpaketupdates wieder.
REM Kommentieren Sie Zeilen, deren Dateien Sie nicht wnschen, durch Voranstellen von "REM" aus.

REM Aufruf mit Parameter (z.B. call uninstall-$version-$customer-Daten.bat /quiet) bewirkt, dass keine Pause gemacht wird.
REM Dann werden alle aktualisierten Datenverzeichnisse bearbeitet.

REM Ermitteln des Betriebssystems
set Windows7=0
reg QUERY "HKLM\Software\Wow6432Node" 2>NUL 1>NUL
if %errorlevel% LEQ 0 set Windows7=1
set KeyBase=HKLM\Software\AED-SICAD\3A\
if "%Windows7%"=="1" set KeyBase=HKLM\Software\Wow6432Node\AED-SICAD\3A\
set KeyValue=%KeyBase%3A-Editor Daten

REM Vorbelegen bekannter Daten
set Customer=AtkisMusterland
set Version=7.0.10.0

reg add "%KeyValue%" /t REG_SZ /v Test /d "Test" 2>NUL 1>NUL
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v Test`) DO set Key=%%j) 2>NUL
if "%Key%"=="Test" GOTO TESTOK
echo Keine ausreichenden Rechte zum Schreiben der Registry.
if "%1"=="" pause
exit /b
:TESTOK
reg delete "%KeyValue%" /f /v Test 2>NUL 1>NUL

set Found=0
set ActNumber=

REM Auflisten der vorhandenen Datenpakete fr Kunde %Customer% und Version %Version%
echo.
echo Liste der vorhandenen Datenpakete fuer Kunde %Customer% und Version %Version%:
echo.
set Count=-1
:LOOPCOUNT
set /a Count="%Count%+1"
if %Count% EQU 100 Goto ENDLOOP
set Key2=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Customer`) DO set Key2=%%j) 2>NUL
if not "%Key2%"=="%Customer%" GOTO LOOPCOUNT
set Key3=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%PrefDir`) DO set Key3=%%j) 2>NUL
set Key4=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%PrefInst`) DO set Key4=%%j) 2>NUL
set Key5=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Name`) DO set Key5=%%j) 2>NUL
set Key6=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Version`) DO set Key6=%%j) 2>NUL
if not "%Key6%"=="%Version%" GOTO LOOPCOUNT
set Key7=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%lastVersion`) DO set Key7=%%j) 2>NUL
if "%Key7%"=="" GOTO LOOPCOUNT
set Key=
if not "%Count%"=="0" (FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Dir`) DO set Key=%%j) 2>NUL
if "%Count%"=="0" (FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyBase%3A-Editor" /v AaaDir`) DO set Key=%%j) 2>NUL
if "%Key%"=="" GOTO LOOPCOUNT

if "%Key5%"=="" echo Installation %Count%:
if not "%Key5%"=="" echo Installation %Count% (%Key5%):
echo Datenverzeichnis "%Key%"
if not "%Key3%"=="" echo abweichendes Preference Verzeichnis "%Key3%"
if not "%Key4%"=="" echo Preference Instance "%Key4%"
if "%Found%"=="1" set Found=2
if "%Found%"=="0" set Found=1
set ActNumber=%Count%
echo.
GOTO LOOPCOUNT
:ENDLOOP

if not "%Found%"=="0" GOTO SELECT
echo Kein passendes Datenverzeichnis vorhanden.
if "%1"=="" pause
exit /b
:SELECT

REM Auswahl des Verzeichnisses
echo.
if "%Found%"=="1" GOTO ONLYONE
echo.
if "%1"=="" echo Auswahl eines dieser Datenverzeichnisse (Angabe der Nummer) oder 'alle', wenn alle auf "%Version%" aktualisierten Datenverzeichnisse fuer Kunde "%Customer% bearbeitet werden sollen

if "%1"=="" set ActNumber=
if "%1"=="" set /p ActNumber=?
if not "%1"=="" echo Installation ohne Dialogfuehrung: alle auf "%Version%" aktualisierten Datenverzeichnisse fuer Kunde "%Customer%" werden bearbeitet
if not "%1"=="" set ActNumber=alle

IF not "%ActNumber%"=="" GOTO ONLYONE
echo Abbruch, keine Angabe des Datenverzeichnisses durch den Benutzer.
if "%1"=="" pause
exit /b

:ONLYONE
set Count=%ActNumber%
IF NOT "%ActNumber%"=="alle" GOTO NOLOOP
set Count=-1
:LOOPDIR
set /a Count="%Count%+1"
if %Count% EQU 100 GOTO ENDLOOPDIR
set Key=
if not "%Count%"=="0" (FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Dir`) DO set Key=%%j) 2>NUL
if "%Count%"=="0" (FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyBase%3A-Editor" /v AaaDir`) DO set Key=%%j) 2>NUL
if "%Key%"=="" GOTO LOOPDIR
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Customer`) DO set Key=%%j) 2>NUL
if not "%Key%"=="%Customer%" GOTO LOOPDIR
set Key6=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Version`) DO set Key6=%%j) 2>NUL
if not "%Key6%"=="%Version%" GOTO LOOPDIR
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%lastVersion`) DO set Key=%%j) 2>NUL
if "%Key%"=="" GOTO LOOPDIR
:NOLOOP
set DataDir=
if not "%Count%"=="0" (FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Dir`) DO set DataDir=%%j) 2>NUL
if "%Count%"=="0" (FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyBase%3A-Editor" /v AaaDir`) DO set DataDir=%%j) 2>NUL
if not "%DataDir%"=="" GOTO DATADIROK
echo Das ausgewaehlte Datenpaket "%ActNumber%" existiert nicht - Abbruch!
if "%1"=="" pause
exit /b
:DATADIROK
if "%ActNumber%"=="0" GOTO DIRSET
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Customer`) DO set Key=%%j) 2>NUL
if "%Key%"=="%Customer%" GOTO CUSTOMEROK
echo Das ausgewaehlte Datenpaket "%ActNumber%" hat nicht den richtigen Kunden.
if "%1"=="" pause
exit /b
:CUSTOMEROK
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Version`) DO set Key=%%j) 2>NUL
if "%Key%"=="%Version%" GOTO VERSIONOK
echo Das ausgewaehlte Datenpaket "%ActNumber%" hat nicht die richtige Version.
if "%1"=="" pause
exit /b
:VERSIONOK
set Key=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%lastVersion`) DO set Key=%%j) 2>NUL
if not "%Key%"=="" GOTO DIRSET
echo Das ausgewaehlte Datenpaket "%ActNumber%" wurde nicht zuletzt auf die Version %Version% aktualisiert.
if "%1"=="" pause
exit /b

:DIRSET
REM brige Werte aus der Registry lesen
set PrefDir=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%PrefDir`) DO set PrefDir=%%j) 2>NUL
set PrefInst=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%PrefInst`) DO set PrefInst=%%j) 2>NUL
set Key5=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%Name`) DO set Key5=%%j) 2>NUL

REM Zusammenfassung der Eingaben
echo.
echo Es wird fuer folgendes Datenpaket das Update auf "%Version%" deinstalliert:
if not "%Key5%"=="" echo Installation %Count% (Name "%Key5%"):
if "%Key5%"=="" echo Installation %Count%:
echo Datenverzeichnis "%DataDir%"
if not "%PrefDir%"=="" echo abweichendes Preferenceverzeichnis "%PrefDir%"
if not "%PrefInst%"=="" echo Preference Instance "%PrefInst%"
if "%PrefDir%"=="" echo Preferenceverzeichnis entspricht Datenverzeichnis
if "%PrefInst%"=="" echo keine Preference Instance
echo.
if "%1"=="" pause

if exist "%DataDir%\Etc" goto LabelOkay
mkdir "%DataDir%\Etc"
if %errorlevel% LEQ 0 goto LabelOkay
echo Verzeichnis "%DataDir%\Etc" kann nicht angelegt werden, es wird abgebrochen.
if "%1"=="" pause
exit /b
:LabelOkay
IF "%PrefDir%"=="" set PrefDir=%DataDir%
IF "%Customer:~0,4%"=="Lisa" set PrefDir=%PROGRAMDATA%\AED-SICAD
set CustomerDataDir=%PrefDir%\Preferences\CustomerData
if not "%PrefInst%"=="" set CustomerDataDir=%PrefDir%\Preferences\CustomerData.%PrefInst%
IF "%Customer:~0,4%"=="Lisa" set CustomerDataDir=%CustomerDataDir:\CustomerData=%

(echo. & echo ### Es wird das Update auf die Version "%Version%" der Daten fuer Kunde "%Customer%" im Verzeichnis "%DataDir%" deinstalliert.) >>"%DataDir%\Etc\installData.log" 2>&1
(echo ### Customer Preferences stehen im Verzeichnis "%CustomerDataDir%".) >>"%DataDir%\Etc\installData.log" 2>&1
(echo ### %date% %time% durch %Username%\%Userdomain% auf %Computername% ### & echo.) >>"%DataDir%\Etc\installData.log" 2>&1

@chcp 1252 1>NUL
echo Dateien des Updates deinstallieren
echo Kopiere %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml.vor%Version%.bak nach %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml 
echo Kopiere %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml.vor%Version%.bak nach %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml.vor%Version%.bak" copy /Y "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml.vor%Version%.bak" "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml.vor%Version%.bak bzw. %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml 
echo Loesche %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml.vor%Version%.bak bzw. %DataDir%\Config\Themendeklarationen.7.0.10.00000.xml >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml.vor%Version%.bak" del /F "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml.vor%Version%.bak" del /F "%DataDir%\Config\Themendeklarationen.7.0.10.00000.xml.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb 
echo Kopiere %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb.vor%Version%.bak" copy /Y "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb.vor%Version%.bak" "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb 
echo Loesche %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Daten\Gdb\Projektsteuerung-UTM33.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb 
echo Kopiere %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb.vor%Version%.bak" copy /Y "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb.vor%Version%.bak" "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb 
echo Loesche %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Daten\Gdb\Projektsteuerung.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql 
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql.vor%Version%.bak" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql 
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-001.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql 
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql.vor%Version%.bak" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql 
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-002.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql 
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql.vor%Version%.bak" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql 
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-003.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql 
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql.vor%Version%.bak" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql 
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-004.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql 
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql.vor%Version%.bak" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql 
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-005.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql 
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql.vor%Version%.bak" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql 
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-006.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql 
echo Kopiere %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql.vor%Version%.bak nach %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql.vor%Version%.bak" "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql 
echo Loesche %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql.vor%Version%.bak bzw. %DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Metadata-EdPro-ATKIS-7.0.10.00000-007.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql 
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql.vor%Version%.bak" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql 
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-001.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql 
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql.vor%Version%.bak" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql 
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-002.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql 
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql.vor%Version%.bak" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql 
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-003.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql 
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql.vor%Version%.bak" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql 
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.DEFAULT.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql 
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql.vor%Version%.bak" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql 
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-004.ETRS89_UTM33.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql 
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql.vor%Version%.bak" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql 
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-005.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql 
echo Kopiere %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql.vor%Version%.bak nach %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql.vor%Version%.bak" "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql 
echo Loesche %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql.vor%Version%.bak bzw. %DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql.vor%Version%.bak" del /F "%DataDir%\Sql\Projektsteuerung-EdPro-7.0.10.00000-006.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql.vor%Version%.bak nach %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql 
echo Kopiere %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql.vor%Version%.bak nach %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql.vor%Version%.bak" copy /Y "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql.vor%Version%.bak" "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql.vor%Version%.bak bzw. %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql 
echo Loesche %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql.vor%Version%.bak bzw. %DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql.vor%Version%.bak" del /F "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql.vor%Version%.bak" del /F "%DataDir%\Sql\ProjektsteuerungUpdate-EdPro-7.0.8.00000-7.0.10.00000-001.sql.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip 
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak" copy /Y "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak" "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip 
echo Loesche %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb 
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak" copy /Y "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak" "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb 
echo Loesche %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM32-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip 
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip.vor%Version%.bak" copy /Y "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip.vor%Version%.bak" "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip 
echo Loesche %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.gdb.zip.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb 
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb.vor%Version%.bak" copy /Y "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb.vor%Version%.bak" "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb 
echo Loesche %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM32.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip 
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak" copy /Y "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak" "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip 
echo Loesche %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.gdb.zip.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb 
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak" copy /Y "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak" "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb 
echo Loesche %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM33-Ueberlagerung.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip 
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip.vor%Version%.bak" copy /Y "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip.vor%Version%.bak" "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip 
echo Loesche %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.gdb.zip.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb 
echo Kopiere %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb.vor%Version%.bak" copy /Y "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb.vor%Version%.bak" "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb 
echo Loesche %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-UTM33.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb 
echo Kopiere %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb.vor%Version%.bak" copy /Y "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb.vor%Version%.bak" "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb 
echo Loesche %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Templates\Gdb\Template-ohne-Katalogdaten.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc.vor%Version%.bak nach %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc 
echo Kopiere %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc.vor%Version%.bak nach %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc.vor%Version%.bak" copy /Y "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc.vor%Version%.bak" "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc.vor%Version%.bak bzw. %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc 
echo Loesche %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc.vor%Version%.bak bzw. %DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc.vor%Version%.bak" del /F "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc.vor%Version%.bak" del /F "%DataDir%\Templates\Maps\AtkisDtk25.7.0.10.00000.dpc.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc.vor%Version%.bak nach %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc 
echo Kopiere %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc.vor%Version%.bak nach %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc.vor%Version%.bak" copy /Y "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc.vor%Version%.bak" "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc.vor%Version%.bak bzw. %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc 
echo Loesche %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc.vor%Version%.bak bzw. %DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc.vor%Version%.bak" del /F "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc.vor%Version%.bak" del /F "%DataDir%\Templates\Maps\AtkisDtk50.7.0.10.00000.dpc.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb 
echo Kopiere %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb.vor%Version%.bak nach %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb.vor%Version%.bak" copy /Y "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb.vor%Version%.bak" "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb 
echo Loesche %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb.vor%Version%.bak bzw. %DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb.vor%Version%.bak" del /F "%DataDir%\Templates\Metadata\Metadata.7.0.10.00000.mdb.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %DataDir%\versionKonfigurationMusterlandAtkis.vor%Version%.bak nach %DataDir%\versionKonfigurationMusterlandAtkis 
echo Kopiere %DataDir%\versionKonfigurationMusterlandAtkis.vor%Version%.bak nach %DataDir%\versionKonfigurationMusterlandAtkis >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\versionKonfigurationMusterlandAtkis.vor%Version%.bak" copy /Y "%DataDir%\versionKonfigurationMusterlandAtkis.vor%Version%.bak" "%DataDir%\versionKonfigurationMusterlandAtkis" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %DataDir%\versionKonfigurationMusterlandAtkis.vor%Version%.bak bzw. %DataDir%\versionKonfigurationMusterlandAtkis 
echo Loesche %DataDir%\versionKonfigurationMusterlandAtkis.vor%Version%.bak bzw. %DataDir%\versionKonfigurationMusterlandAtkis >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%DataDir%\versionKonfigurationMusterlandAtkis.vor%Version%.bak" del /F "%DataDir%\versionKonfigurationMusterlandAtkis" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%DataDir%\versionKonfigurationMusterlandAtkis.vor%Version%.bak" del /F "%DataDir%\versionKonfigurationMusterlandAtkis.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000.vor%Version%.bak nach %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000 
echo Kopiere %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000.vor%Version%.bak nach %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000 >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000.vor%Version%.bak" copy /Y "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000.vor%Version%.bak" "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000.vor%Version%.bak bzw. %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000 
echo Loesche %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000.vor%Version%.bak bzw. %CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000 >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000.vor%Version%.bak" del /F "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000.vor%Version%.bak" del /F "%CustomerDataDir%\3A-Editor.conf.Comment.7.0.10.00000.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
echo Kopiere %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000.vor%Version%.bak nach %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000 
echo Kopiere %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000.vor%Version%.bak nach %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000 >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000.vor%Version%.bak" copy /Y "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000.vor%Version%.bak" "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000" >>"%DataDir%\Etc\installData.log" 2>&1
echo Loesche %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000.vor%Version%.bak bzw. %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000 
echo Loesche %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000.vor%Version%.bak bzw. %CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000 >>"%DataDir%\Etc\installData.log" 2>&1
if not exist "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000.vor%Version%.bak" del /F "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000" >>"%DataDir%\Etc\installData.log" 2>&1
if exist "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000.vor%Version%.bak" del /F "%CustomerDataDir%\3A-Editor.conf.Release.7.0.10.00000.vor%Version%.bak" >>"%DataDir%\Etc\installData.log" 2>&1
@chcp 850 1>NUL

set LastVersionGesamt=
set LastVersion=
(FOR /F " usebackq tokens=2*" %%i in (`reg QUERY "%KeyValue%" /v %Count%lastVersion`) DO set LastVersionGesamt=%%j) 2>NUL
(for /f "tokens=1* delims=;" %%i in ("%LastVersionGesamt%") do set LastVersion=%%i) 2>NUL
(for /f "tokens=1* delims=;" %%i in ("%LastVersionGesamt%") do set LastVersionGesamt=%%j) 2>NUL
reg delete "%KeyValue%" /f /v %Count%Version 2>NUL 1>NUL
reg delete "%KeyValue%" /f /v %Count%lastVersion 2>NUL 1>NUL
reg add "%KeyValue%" /t REG_SZ /v %Count%Version /d "%LastVersion%" 2>NUL 1>NUL
if not "%LastVersionGesamt%"=="" reg add "%KeyValue%" /t REG_SZ /v %Count%lastVersion /d "%LastVersionGesamt%" 2>NUL 1>NUL

IF "%ActNumber%"=="alle" GOTO LOOPDIR
:ENDLOOPDIR
echo.
if "%1"=="" pause
@echo on
